Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706416 - net-analyzer/hydra-9.0 fails to build with -fno-common or gcc-10
Summary: net-analyzer/hydra-9.0 fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 10:10 UTC by Toralf Förster
Modified: 2020-01-28 08:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.11 KB, text/plain)
2020-01-26 10:10 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,85.30 KB, text/plain)
2020-01-26 10:10 UTC, Toralf Förster
Details
environment (environment,53.30 KB, text/plain)
2020-01-26 10:10 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.80 KB, application/x-bzip)
2020-01-26 10:10 UTC, Toralf Förster
Details
net-analyzer:hydra-9.0:20200126-100038.log (net-analyzer:hydra-9.0:20200126-100038.log,171.37 KB, text/plain)
2020-01-26 10:10 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.66 KB, application/x-bzip)
2020-01-26 10:10 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 10:10:22 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I. -pie -fPIE -fstack-protector-all --param ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -O2 -pipe -march=native -fno-common  -c hmacmd5.c -DHAVE_MYSQL_MYSQL_H -DLIBOPENSSL -DLIBNCURSES  -DHAVE_PCRE   -DHAVE_ZLIB  -DHAVE_MATH_H -I/usr/include/mysql -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include/subversion-1 -I/usr/include/apr-1 -I/usr/include/subversion-1
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I. -pie -fPIE -fstack-protector-all --param ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -O2 -pipe -march=native -fno-common  -c hydra-mod.c -DHAVE_MYSQL_MYSQL_H -DLIBOPENSSL -DLIBNCURSES  -DHAVE_PCRE   -DHAVE_ZLIB  -DHAVE_MATH_H -I/usr/include/mysql -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include/subversion-1 -I/usr/include/apr-1 -I/usr/include/subversion-1
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I. -pie -fPIE -fstack-protector-all --param ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -O2 -pipe -march=native -fno-common  -c hydra-time.c -DHAVE_MYSQL_MYSQL_H -DLIBOPENSSL -DLIBNCURSES  -DHAVE_PCRE   -DHAVE_ZLIB  -DHAVE_MATH_H -I/usr/include/mysql -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include/subversion-1 -I/usr/include/apr-1 -I/usr/include/subversion-1
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I. -Wl,-O1 -Wl,--as-needed -pie -fPIE -fstack-protector-all --param ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-z,now -Wl,-z,relro -lm -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o hydra  hydra.c hydra-vnc.o hydra-pcnfs.o hydra-rexec.o hydra-nntp.o hydra-socks5.o hydra-telnet.o hydra-cisco.o hydra-http.o hydra-ftp.o hydra-imap.o hydra-pop3.o hydra-smb.o hydra-icq.o hydra-cisco-enable.o hydra-ldap.o hydra-memcached.o hydra-mongodb.o hydra-mysql.o hydra-mssql.o hydra-xmpp.o hydra-http-proxy-urlenum.o hydra-snmp.o hydra-cvs.o hydra-smtp.o hydra-smtp-enum.o hydra-sapr3.o hydra-ssh.o hydra-sshkey.o hydra-teamspeak.o hydra-postgres.o hydra-rsh.o hydra-rlogin.o hydra-oracle-listener.o hydra-svn.o hydra-pcanywhere.o hydra-sip.o hydra-oracle-sid.o hydra-oracle.o hydra-vmauthd.o hydra-asterisk.o hydra-firebird.o hydra-afp.o hydra-ncp.o hydra-http-proxy.o hydra-http-form.o hydra-irc.o hydra-redis.o hydra-rdp.o hydra-s7-300.c hydra-adam6500.o hydra-rtsp.o hydra-rpcap.o hydra-radmin2.o crc32.o d3des.o bfg.o ntlm.o sasl.o hmacmd5.o hydra-mod.o hydra-time.o -lm -lz  -lncurses -ltinfo  -lssl  -lpcre    -lcrypto  -I/usr/include/mysql -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include/subversion-1 -I/usr/include/apr-1 -I/usr/include/subversion-1 -DHAVE_MYSQL_MYSQL_H -DLIBOPENSSL -DLIBNCURSES  -DHAVE_PCRE   -DHAVE_ZLIB  -DHAVE_MATH_H
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: hydra-pcnfs.o:(.bss+0x0): multiple definition of `buf'; hydra-vnc.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: hydra-pcnfs.o:(.bss+0x8): multiple definition of `cmdlinetarget'; hydra-vnc.o:(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 08:26:14 +0000

emerge -qpvO net-analyzer/hydra
[ebuild  N    ] net-analyzer/hydra-9.0  USE="ncurses pcre zlib -debug -firebird -gcrypt -gtk -idn -libressl -libssh -memcached -mongodb -mysql -ncp -oracle -postgres -rdp -subversion"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 10:10:25 UTC
Created attachment 604578 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 10:10:29 UTC
Created attachment 604580 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 10:10:32 UTC
Created attachment 604582 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 10:10:35 UTC
Created attachment 604584 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 10:10:38 UTC
Created attachment 604586 [details]
net-analyzer:hydra-9.0:20200126-100038.log
Comment 6 Toralf Förster gentoo-dev 2020-01-26 10:10:41 UTC
Created attachment 604588 [details]
temp.tbz2
Comment 7 Jeroen Roovers gentoo-dev 2020-01-26 15:54:00 UTC
I have a 36kB patchset ready but I think it's best to pass it on upstream first.
Comment 8 Larry the Git Cow gentoo-dev 2020-01-26 16:43:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95c1ff070c3d3a67d6e14734cf7f4f28b641b382

commit 95c1ff070c3d3a67d6e14734cf7f4f28b641b382
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-26 16:42:16 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-26 16:43:48 +0000

    net-analyzer/hydra: Fix -fno-common issues
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Bug: https://bugs.gentoo.org/706416
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../hydra/files/hydra-9.0-fcommon-gtk.patch        |  79 ++++
 .../hydra/files/hydra-9.0-fcommon-http.patch       |  27 ++
 .../hydra/files/hydra-9.0-fcommon-mod.patch        |  63 +++
 .../hydra/files/hydra-9.0-fcommon-mods.patch       | 496 +++++++++++++++++++++
 .../hydra/files/hydra-9.0-unneeded-buf.patch       |  60 +++
 net-analyzer/hydra/files/hydra-9.0-vnc.patch       |  11 +
 .../hydra/files/hydra-9999999-fcommon-http.patch   |  27 ++
 net-analyzer/hydra/hydra-9.0-r1.ebuild             | 131 ++++++
 net-analyzer/hydra/hydra-9999999.ebuild            |  30 +-
 9 files changed, 913 insertions(+), 11 deletions(-)
Comment 9 Jeroen Roovers gentoo-dev 2020-01-27 14:59:16 UTC
Upstream disagrees with the -fno-common patches.
Comment 10 Larry the Git Cow gentoo-dev 2020-01-28 08:49:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e301de130b75dc4ee76ca2e344de67e6965b90b

commit 8e301de130b75dc4ee76ca2e344de67e6965b90b
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-28 08:48:45 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-28 08:49:23 +0000

    net-analyzer/hydra: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706416
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../hydra/files/hydra-9.0-fcommon-gtk.patch        |  79 ----
 .../hydra/files/hydra-9.0-fcommon-http.patch       |  27 --
 .../hydra/files/hydra-9.0-fcommon-mod.patch        |  63 ---
 .../hydra/files/hydra-9.0-fcommon-mods.patch       | 496 ---------------------
 .../hydra/files/hydra-9999999-fcommon-http.patch   |  27 --
 net-analyzer/hydra/hydra-9.0-r1.ebuild             |   8 +-
 net-analyzer/hydra/hydra-9999999.ebuild            |   9 +-
 7 files changed, 5 insertions(+), 704 deletions(-)